#ifndef HEURISTIC_H
#define HEURISTIC_H

class Heuristic {
public:
	virtual void preprocess(std::vector<int> &map, int width, int height, std::vector<Position> &roots) = 0;
	virtual double getValue(int nIndex, int gIndex) = 0;
	virtual void clear() = 0;
	virtual std::string getName() = 0;
	virtual size_t getSize() = 0;

	virtual ~Heuristic(){
	}
};

#endif //HEURISTIC_H
