#include "Pathfinder.h"

class SimpleLCA: public Pathfinder {
public:
	void preprocess(std::vector<int> &map, int width, int height);
	void findPath(Position start, Position goal, std::vector<Position> &path,
			std::vector<int> &map, int width, int height);

	void clear(){
		parents.clear();
	}

	std::string getName(){
		return "SimpleLCA";
	}

	size_t getSize(){
		return parents.size() * sizeof(std::pair<int, bool>);
	}

private:
	std::vector<std::pair<int, bool> > parents;
};
