#include "Pathfinder.h"

class TreeCache: public Pathfinder {
public:
	void preprocess(std::vector<int> &map, int width, int height);
	void findPath(Position start, Position goal, std::vector<Position> &path,
			std::vector<int> &map, int width, int height);

	void clear(){
		parents.clear();
	}

	std::string getName(){
		return "TreeCache";
	}

	size_t getSize(){
		return parents.size() * sizeof(int);
	}

private:
	std::vector<int> parents;
};
