#include "WindowsTimer.h"

WindowsTimer::WindowsTimer()
{
	elapsedTime = 0;
	QueryPerformanceFrequency(&frequency);
}

void WindowsTimer::StartTimer()
{
	QueryPerformanceCounter(&startTime);
}

double WindowsTimer::EndTimer()
{
	QueryPerformanceCounter(&stopTime);
	elapsedTime = (stopTime.QuadPart - startTime.QuadPart) * 1000000.0 / frequency.QuadPart;//mus
	return elapsedTime;
}
